# Created by pyp2rpm-1.1.2
%global pypi_name click

Name:           python-click
Version:        7.1.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        A simple wrapper around optparse for powerful command line utilities

License:        BSD
URL:            http://github.com/mitsuhiko/click
Source0:        https://pypi.io/packages/source/c/click/click-%{version}.tar.gz
BuildRequires:   python3dist(pytest)
BuildArch:      noarch


%description
Click is a Python package for creating beautiful command line
interfaces in a composable way with as little code as necessary.  It's
the "Command Line Interface Creation Kit".  It's highly configurable
but comes with sensible defaults out of the box.

It aims to make the process of writing command line tools quick and
fun while also preventing any frustration caused by the inability to
implement an intended CLI API.

%package -n     python3-%{pypi_name}
Summary:        A simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(pallets-sphinx-themes)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Click is a Python package for creating beautiful command line
interfaces in a composable way with as little code as necessary.  It's
the "Command Line Interface Creation Kit".  It's highly configurable
but comes with sensible defaults out of the box.

It aims to make the process of writing command line tools quick and
fun while also preventing any frustration caused by the inability to
implement an intended CLI API.


%prep
%setup -q -n click-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v tests

%files -n python3-%{pypi_name}
%license docs/license.rst LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/click-%{version}-py?.?.egg-info


%changelog
* Wed Jun 10 2020 joequant <joequant> 7.1.2-1.mga8
+ Revision: 1591976
- add pytest
- update to 7.1.2

* Sun Feb 16 2020 umeabot <umeabot> 7.0-5.mga8
+ Revision: 1530979
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 7.0-4.mga8
+ Revision: 1438157
- rebuild for python3.8
- drop python2 support

* Sun Aug 18 2019 wally <wally> 7.0-3.mga8
+ Revision: 1429715
- update sphinx BRs

* Sun Jan 06 2019 tmb <tmb> 7.0-2.mga7
+ Revision: 1350227
- rebuild for python 3.7

* Sun Jan 06 2019 shlomif <shlomif> 7.0-1.mga7
+ Revision: 1350138
- New version 7.0

* Thu Sep 20 2018 umeabot <umeabot> 6.7-2.mga7
+ Revision: 1288414
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 6.7-1.mga7
+ Revision: 1227617
- new version: 6.7
- rename python-click to python2-click
- add some upstream patches

* Fri Aug 04 2017 tv <tv> 6.2-2.mga7
+ Revision: 1134734
- rebuild for new python

* Mon Jan 18 2016 daviddavid <daviddavid> 6.2-1.mga6
+ Revision: 925573
- new version: 6.2
- use new python macros

* Sat Oct 10 2015 daviddavid <daviddavid> 4.1-3.mga6
+ Revision: 889192
- BR python(3)-sphinx_rtd_theme
+ tv <tv>
- rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 4.1-2.mga6
+ Revision: 855571
- fix python3 build

* Sat Jul 18 2015 joequant <joequant> 4.1-1.mga6
+ Revision: 855096
- imported package python-click

